<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [kibana-plugin-core-public](./kibana-plugin-core-public.md) &gt; [App](./kibana-plugin-core-public.app.md) &gt; [deepLinks](./kibana-plugin-core-public.app.deeplinks.md)

## App.deepLinks property

Input type for registering secondary in-app locations for an application.

Deep links must include at least one of `path` or `deepLinks`<!-- -->. A deep link that does not have a `path` represents a topological level in the application's hierarchy, but does not have a destination URL that is user-accessible.

<b>Signature:</b>

```typescript
deepLinks?: AppDeepLink[];
```

## Example


```ts
core.application.register({
  id: 'my_app',
  title: 'Translated title',
  keywords: ['translated keyword1', 'translated keyword2'],
  deepLinks: [
    {
      id: 'sub1',
      title: 'Sub1',
      path: '/sub1',
      keywords: ['subpath1'],
    },
    {
      id: 'sub2',
      title: 'Sub2',
      deepLinks: [
        {
          id: 'subsub',
          title: 'SubSub',
          path: '/sub2/sub',
          keywords: ['subpath2'],
        },
      ],
    },
  ],
  mount: () => { ... }
})
```

