<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [kibana-plugin-core-public](./kibana-plugin-core-public.md) &gt; [App](./kibana-plugin-core-public.app.md)

## App interface


<b>Signature:</b>

```typescript
export interface App<HistoryLocationState = unknown> extends AppNavOptions 
```
<b>Extends:</b> AppNavOptions

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [appRoute?](./kibana-plugin-core-public.app.approute.md) | string | <i>(Optional)</i> Override the application's routing path from <code>/app/${id}</code>. Must be unique across registered applications. Should not include the base path from HTTP. |
|  [capabilities?](./kibana-plugin-core-public.app.capabilities.md) | Partial&lt;Capabilities&gt; | <i>(Optional)</i> Custom capabilities defined by the app. |
|  [category?](./kibana-plugin-core-public.app.category.md) | AppCategory | <i>(Optional)</i> The category definition of the product See [AppCategory](./kibana-plugin-core-public.appcategory.md) See DEFAULT\_APP\_CATEGORIES for more reference |
|  [chromeless?](./kibana-plugin-core-public.app.chromeless.md) | boolean | <i>(Optional)</i> Hide the UI chrome when the application is mounted. Defaults to <code>false</code>. Takes precedence over chrome service visibility settings. |
|  [deepLinks?](./kibana-plugin-core-public.app.deeplinks.md) | AppDeepLink\[\] | <i>(Optional)</i> Input type for registering secondary in-app locations for an application.<!-- -->Deep links must include at least one of <code>path</code> or <code>deepLinks</code>. A deep link that does not have a <code>path</code> represents a topological level in the application's hierarchy, but does not have a destination URL that is user-accessible. |
|  [defaultPath?](./kibana-plugin-core-public.app.defaultpath.md) | string | <i>(Optional)</i> Allow to define the default path a user should be directed to when navigating to the app. When defined, this value will be used as a default for the <code>path</code> option when calling [navigateToApp](./kibana-plugin-core-public.applicationstart.navigatetoapp.md)<!-- -->\`<!-- -->, and will also be appended to the [application navLink](./kibana-plugin-core-public.chromenavlink.md) in the navigation bar. |
|  [exactRoute?](./kibana-plugin-core-public.app.exactroute.md) | boolean | <i>(Optional)</i> If set to true, the application's route will only be checked against an exact match. Defaults to <code>false</code>. |
|  [id](./kibana-plugin-core-public.app.id.md) | string | The unique identifier of the application.<!-- -->Can only be composed of alphanumeric characters, <code>-</code>, <code>:</code> and <code>_</code> |
|  [keywords?](./kibana-plugin-core-public.app.keywords.md) | string\[\] | <i>(Optional)</i> Optional keywords to match with in deep links search. Omit if this part of the hierarchy does not have a page URL. |
|  [mount](./kibana-plugin-core-public.app.mount.md) | AppMount&lt;HistoryLocationState&gt; | A mount function called when the user navigates to this app's route. |
|  [navLinkStatus?](./kibana-plugin-core-public.app.navlinkstatus.md) | AppNavLinkStatus | <i>(Optional)</i> The initial status of the application's navLink. Defaulting to <code>visible</code> if <code>status</code> is <code>accessible</code> and <code>hidden</code> if status is <code>inaccessible</code> See [AppNavLinkStatus](./kibana-plugin-core-public.appnavlinkstatus.md) |
|  [searchable?](./kibana-plugin-core-public.app.searchable.md) | boolean | <i>(Optional)</i> The initial flag to determine if the application is searchable in the global search. Defaulting to <code>true</code> if <code>navLinkStatus</code> is <code>visible</code> or omitted. |
|  [status?](./kibana-plugin-core-public.app.status.md) | AppStatus | <i>(Optional)</i> The initial status of the application. Defaulting to <code>accessible</code> |
|  [title](./kibana-plugin-core-public.app.title.md) | string | The title of the application. |
|  [updater$?](./kibana-plugin-core-public.app.updater_.md) | Observable&lt;AppUpdater&gt; | <i>(Optional)</i> An [AppUpdater](./kibana-plugin-core-public.appupdater.md) observable that can be used to update the application [AppUpdatableFields](./kibana-plugin-core-public.appupdatablefields.md) at runtime. |

