<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [kibana-plugin-core-public](./kibana-plugin-core-public.md) &gt; [AppMountParameters](./kibana-plugin-core-public.appmountparameters.md) &gt; [theme$](./kibana-plugin-core-public.appmountparameters.theme_.md)

## AppMountParameters.theme$ property

An observable emitting [Core's theme](./kibana-plugin-core-public.coretheme.md)<!-- -->. Should be used when mounting the application to include theme information.

<b>Signature:</b>

```typescript
theme$: Observable<CoreTheme>;
```

## Example

When mounting a react application:

```ts
// application.tsx
import React from 'react';
import ReactDOM from 'react-dom';

import { AppMountParameters } from 'src/core/public';
import { wrapWithTheme } from 'src/plugins/kibana_react';
import { MyApp } from './app';

export renderApp = ({ element, theme$ }: AppMountParameters) => {
   ReactDOM.render(wrapWithTheme(<MyApp/>, theme$), element);
   return () => ReactDOM.unmountComponentAtNode(element);
}
```

