<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [kibana-plugin-core-public](./kibana-plugin-core-public.md) &gt; [IUiSettingsClient](./kibana-plugin-core-public.iuisettingsclient.md)

## IUiSettingsClient interface

Client-side client that provides access to the advanced settings stored in elasticsearch. The settings provide control over the behavior of the Kibana application. For example, a user can specify how to display numeric or date fields. Users can adjust the settings via Management UI. [IUiSettingsClient](./kibana-plugin-core-public.iuisettingsclient.md)

<b>Signature:</b>

```typescript
export interface IUiSettingsClient 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [get](./kibana-plugin-core-public.iuisettingsclient.get.md) | &lt;T = any&gt;(key: string, defaultOverride?: T) =&gt; T | Gets the value for a specific uiSetting. If this setting has no user-defined value then the <code>defaultOverride</code> parameter is returned (and parsed if setting is of type "json" or "number). If the parameter is not defined and the key is not registered by any plugin then an error is thrown, otherwise reads the default value defined by a plugin. |
|  [get$](./kibana-plugin-core-public.iuisettingsclient.get_.md) | &lt;T = any&gt;(key: string, defaultOverride?: T) =&gt; Observable&lt;T&gt; | Gets an observable of the current value for a config key, and all updates to that config key in the future. Providing a <code>defaultOverride</code> argument behaves the same as it does in \#get() |
|  [getAll](./kibana-plugin-core-public.iuisettingsclient.getall.md) | () =&gt; Readonly&lt;Record&lt;string, PublicUiSettingsParams &amp; UserProvidedValues&gt;&gt; | Gets the metadata about all uiSettings, including the type, default value, and user value for each key. |
|  [getUpdate$](./kibana-plugin-core-public.iuisettingsclient.getupdate_.md) | &lt;T = any&gt;() =&gt; Observable&lt;{ key: string; newValue: T; oldValue: T; }&gt; | Returns an Observable that notifies subscribers of each update to the uiSettings, including the key, newValue, and oldValue of the setting that changed. |
|  [getUpdateErrors$](./kibana-plugin-core-public.iuisettingsclient.getupdateerrors_.md) | () =&gt; Observable&lt;Error&gt; | Returns an Observable that notifies subscribers of each error while trying to update the settings, containing the actual Error class. |
|  [isCustom](./kibana-plugin-core-public.iuisettingsclient.iscustom.md) | (key: string) =&gt; boolean | Returns true if the setting wasn't registered by any plugin, but was either added directly via <code>set()</code>, or is an unknown setting found in the uiSettings saved object |
|  [isDeclared](./kibana-plugin-core-public.iuisettingsclient.isdeclared.md) | (key: string) =&gt; boolean | Returns true if the key is a "known" uiSetting, meaning it is either registered by any plugin or was previously added as a custom setting via the <code>set()</code> method. |
|  [isDefault](./kibana-plugin-core-public.iuisettingsclient.isdefault.md) | (key: string) =&gt; boolean | Returns true if the setting has no user-defined value or is unknown |
|  [isOverridden](./kibana-plugin-core-public.iuisettingsclient.isoverridden.md) | (key: string) =&gt; boolean | Shows whether the uiSettings value set by the user. |
|  [remove](./kibana-plugin-core-public.iuisettingsclient.remove.md) | (key: string) =&gt; Promise&lt;boolean&gt; | Removes the user-defined value for a setting, causing it to revert to the default. This method behaves the same as calling <code>set(key, null)</code>, including the synchronization, custom setting, and error behavior of that method. |
|  [set](./kibana-plugin-core-public.iuisettingsclient.set.md) | (key: string, value: any) =&gt; Promise&lt;boolean&gt; | Sets the value for a uiSetting. If the setting is not registered by any plugin it will be stored as a custom setting. The new value will be synchronously available via the <code>get()</code> method and sent to the server in the background. If the request to the server fails then a updateErrors$ will be notified and the setting will be reverted to its value before <code>set()</code> was called. |

