<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [kibana-plugin-core-server](./kibana-plugin-core-server.md) &gt; [ElasticsearchServiceSetup](./kibana-plugin-core-server.elasticsearchservicesetup.md) &gt; [setUnauthorizedErrorHandler](./kibana-plugin-core-server.elasticsearchservicesetup.setunauthorizederrorhandler.md)

## ElasticsearchServiceSetup.setUnauthorizedErrorHandler property

Register a handler that will be called when unauthorized (401) errors are returned from any API call to elasticsearch performed on behalf of a user via a [scoped cluster client](./kibana-plugin-core-server.iscopedclusterclient.md)<!-- -->.

<b>Signature:</b>

```typescript
setUnauthorizedErrorHandler: (handler: UnauthorizedErrorHandler) => void;
```

## Remarks

The handler will only be invoked for scoped client bound to real [request](./kibana-plugin-core-server.kibanarequest.md) instances.

## Example


```ts
const handler: UnauthorizedErrorHandler = ({ request, error }, toolkit) => {
  const reauthenticationResult = await authenticator.reauthenticate(request, error);
  if (reauthenticationResult.succeeded()) {
    return toolkit.retry({
      authHeaders: reauthenticationResult.authHeaders,
    });
  }
  return toolkit.notHandled();
}

coreSetup.elasticsearch.setUnauthorizedErrorHandler(handler);
```

